LLM GatewayModels
List_models
GET
/v1/modelsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/models"{ "data": [ { "can_reason": true, "context_window": 0, "created": 0, "default_max_tokens": 0, "default_reasoning_effort": "string", "deprecated": true, "fixed_reasoning_effort": "string", "id": "gpt-5.6", "object": "model", "owned_by": "openai", "pricing": { "cache_read_per_mtok": 0.3, "cache_write_per_mtok": 3.75, "currency": "USD", "input_includes_cache_read": true, "input_per_mtok": 3, "long_context_input_multiplier": 0, "long_context_output_multiplier": 0, "long_context_threshold_tokens": 0, "output_per_mtok": 15 }, "reasoning_levels": [ "string" ], "supported_speeds": [ "standard" ], "supports_attachments": true, "supports_tool_result_images": true } ], "object": "list"}{ "error": { "code": "string", "message": "model not supported: foo", "request_id": "string", "service_id": "string", "type": "invalid_request_error" }}{ "error": { "code": "string", "message": "model not supported: foo", "request_id": "string", "service_id": "string", "type": "invalid_request_error" }}{ "error": { "code": "string", "message": "model not supported: foo", "request_id": "string", "service_id": "string", "type": "invalid_request_error" }}{ "error": { "code": "string", "message": "model not supported: foo", "request_id": "string", "service_id": "string", "type": "invalid_request_error" }}